Board index FlightGear Support Tools FGRun

Can't install FGRun package (+ rant about Qt5 launcher)

FGRun is a graphical frontend to run FlightGear.

Can't install FGRun package (+ rant about Qt5 launcher)

Postby gsagostinho » Sat Jan 09, 2016 1:19 pm

Hi all,

I keep a copy of FlightGear on my Linux computer updated via Saiarcot's PPA (compiling FG is a bit too much trouble for me, tried a couple of times but it never worked out), and then I also have a second FGDATA folder which I updated regularly using git. So far this setup worked very well, until the new version 2016.1.0 came and broke my FGRun. Now I simply can't even install the package any longer, as I get the following error:

Code: Select all
fgrun:
 Depends: libsimgearcore3.5.0  but it is not installable
 Depends: libsimgearscene3.5.0  but it is not installable


I already asked saiarcot about this, but if anyone knows a way around this issue I'd really appreciate it.

I tried using the Qt5 launcher, but I find so many flaws with it that I just can't believe it's supposed to substitute FGRun...

- I don't want to see every frickin plane available for download, just what's installed on my machine
- can't use a different FGDATA path...
- when trying to add Aircraft and Scenery paths, I can't just type the path but I must use the dialog. Okay, no problems, except I can't see hidden folders there, and Ctrl+H doesn't affect it. Sigh...
- I can't seem to be able to move a scenery path up and down to change the priority order
- seems to have much fewer options (where can I set for instance texture compression now?)

Surely it looks pretty -- I love the airport view for instance, though I would expect I could position my aircraft by clicking anywhere instead of being able to only select runways -- but I still miss the functionality of FGRun.

[/rant]

Cheers,
Gilberto
User avatar
gsagostinho
 
Posts: 1775
Joined: Thu Jan 15, 2015 6:27 pm
Location: London, UK

Re: Can't install FGRun package (+ rant about Qt5 launcher)

Postby elgaton » Sat Jan 09, 2016 1:51 pm

There are two solutions coming to my mind right now (until saiarcot recompiles FlightGear or Launchpad performs a nightly build - I don't know how he set up his PPA):
  • checking temporarily the 3.6 FGDATA branch out with
    Code: Select all
    git checkout origin/release/3.6.0

    (assuming the git remote named "origin" points at the FlightGear FGDATA repository);
  • changing the version file in the FGDATA repository to say 2016.1.0.
(Note that both are temporary "hacks").
NIATCA 2nd admin, regular ATC at LIPX and creator of the LIPX custom scenery
elgaton
 
Posts: 1107
Joined: Tue Mar 19, 2013 4:58 pm
Callsign: I-ELGA/LIPX_TW
Version: Git
OS: Windows + Arch Linux

Re: Can't install FGRun package (+ rant about Qt5 launcher)

Postby Hooray » Sat Jan 09, 2016 1:54 pm

gsagostinho wrote in Sat Jan 09, 2016 1:19 pm:I'd really appreciate it.

I tried using the Qt5 launcher, but I find so many flaws with it that I just can't believe it's supposed to substitute FGRun...

- I don't want to see every frickin plane available for download, just what's installed on my machine
- can't use a different FGDATA path...
- when trying to add Aircraft and Scenery paths, I can't just type the path but I must use the dialog. Okay, no problems, except I can't see hidden folders there, and Ctrl+H doesn't affect it. Sigh...
- I can't seem to be able to move a scenery path up and down to change the priority order
- seems to have much fewer options (where can I set for instance texture compression now?)


My suggestion would be to post these things on the devel list, or even better on the issue tracker, in the form of feature requests - Zakalawe has been active, and responsive, regarding the Qt5 functionality he's developing, which is pretty remarkable given that this is a feature that is supposed to remain entirely optional (including the Qt5 dependency itself) ...

that said, fgrun is intended to remain supported - so you can just download/build and use it, regardless of any Qt5 specific functionality

PS: Note that PUI doesn't seem to become obsolete anytime soon, according to James Turner's continuing preference to hack/extend and maaintain custom PUI widgets:
http://sourceforge.net/p/flightgear/mai ... /34747786/
James Turner wrote:I’d much rather we add a spin-box to PUI, which is not especially hard, and give it the ‘click and drag’ mouse interaction which some spinboxes in other apps have, to give similar UI to the sliders without the visual clutter.

This observation is also in line with numerous PUI related commits that he made despite his ongoing Qt5 work: http://wiki.flightgear.org/Canvas_GUI#PUI_Widgets
For a more recent example, look at the waypointlist commits that are using neither Qt5, Phi or Canvas at all: http://sourceforge.net/p/flightgear/fli ... /ci/846fd2
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11114
Joined: Tue Mar 25, 2008 8:40 am

Re: Can't install FGRun package (+ rant about Qt5 launcher)

Postby gsagostinho » Sat Jan 09, 2016 2:33 pm

@elgaton that would fix if I still had FGRun installed, as of now I can't install the package without those errors :(

@Hooray I will let Zakalawe know about these then, thanks for pointing it out!
User avatar
gsagostinho
 
Posts: 1775
Joined: Thu Jan 15, 2015 6:27 pm
Location: London, UK

Re: Can't install FGRun package (+ rant about Qt5 launcher)

Postby gsagostinho » Sat Jan 09, 2016 2:58 pm

Saiarcot just wrote me:

I can update the fgrun package so that it works with the current version of simgear. This should take 2-3 hours.
User avatar
gsagostinho
 
Posts: 1775
Joined: Thu Jan 15, 2015 6:27 pm
Location: London, UK

Re: Can't install FGRun package (+ rant about Qt5 launcher)

Postby gsagostinho » Sat Jan 09, 2016 3:42 pm

fgrun is updated in his PPA now, all is back to normal!
User avatar
gsagostinho
 
Posts: 1775
Joined: Thu Jan 15, 2015 6:27 pm
Location: London, UK


Return to FGRun

Who is online

Users browsing this forum: No registered users and 1 guest